Subject: [MORG] [Technical Errata Reported] RFC5819 (5725)

From: RFC Errata System <[email-masked]>
Date: Mon, 20 May 2019 14:52:56 -0700 (PDT)

The following errata report has been submitted for RFC5819,
"IMAP4 Extension for Returning STATUS Information in Extended LIST".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5725

--------------------------------------
Type: Technical
Reported by: Stan Kalisch <[email-masked]>

Section: 3

Original Text
-------------
3.  Examples

   C: A01 LIST "" % RETURN (STATUS (MESSAGES UNSEEN))
   S: * LIST () "."  "INBOX"
   S: * STATUS "INBOX" (MESSAGES 17 UNSEEN 16)
   S: * LIST () "." "foo"
   S: * STATUS "foo" (MESSAGES 30 UNSEEN 29)
   S: * LIST (\NoSelect) "." "bar"
   S: A01 OK List completed.

   The "bar" mailbox isn't selectable, so it has no STATUS reply.

   C: A02 LIST (SUBSCRIBED RECURSIVEMATCH)"" % RETURN (STATUS
      (MESSAGES))
   S: * LIST (\Subscribed) "."  "INBOX"
   S: * STATUS "INBOX" (MESSAGES 17)
   S: * LIST () "." "foo" (CHILDINFO ("SUBSCRIBED"))
   S: A02 OK List completed.

Corrected Text
--------------
3.  Examples

   C: A01 LIST "" % RETURN (STATUS (MESSAGES UNSEEN))
   S: * LIST () "." "INBOX"
   S: * STATUS "INBOX" (MESSAGES 17 UNSEEN 16)
   S: * LIST () "." "foo"
   S: * STATUS "foo" (MESSAGES 30 UNSEEN 29)
   S: * LIST (\NoSelect) "." "bar"
   S: A01 OK List completed.

   The "bar" mailbox isn't selectable, so it has no STATUS reply.

   C: A02 LIST (SUBSCRIBED RECURSIVEMATCH)"" % RETURN (STATUS
      (MESSAGES))
   S: * LIST (\Subscribed) "." "INBOX"
   S: * STATUS "INBOX" (MESSAGES 17)
   S: * LIST () "." "foo" (CHILDINFO ("SUBSCRIBED"))
   S: A02 OK List completed.

Notes
-----
Lines 141 and 152 each contain two spaces between ""."" and ""INBOX"" instead of one.  While I had the instinct to mark these as editorial, these sample server responses have also ended up in another RFC and two IDs (which were corrected before they became RFCs).  In any event, given that these responses also violate the ABNF, and given the RFC Ed.'s guideline on ambiguity, I'm just marking them as technical.  I'll leave it to others more familiar with the practical issues for various implementers to make the final determination on how to label them.

Please note:  a previously verified erratum (Errata ID 2072) addresses this same section; I've just left the corresponding error as is in this corrected text.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC5819 (draft-ietf-morg-status-in-list-01)
--------------------------------------
Title               : IMAP4 Extension for Returning STATUS Information in Extended LIST
Publication Date    : March 2010
Author(s)           : A. Melnikov, T. Sirainen
Category            : PROPOSED STANDARD
Source              : Message Organization
Area                : Applications
Stream              : IETF
Verifying Party     : IESG